# Class PojoPathParam

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoPathParam

public class PojoPathParam extends Object
Stores the parameter type and name for a parameter that needs to be passed to an onXxx method of `Endpoint`. The name is only present for parameters annotated with `PathParam`. For the `Session` and `Throwable` parameters, `getName()` will always return `null`.

## Constructor Summary

Constructors
Constructor
Description
`PojoPathParam(Class<?> type, String name)`
Create a path parameter.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Return the name of the parameter.
`Class<?>`
`getType()`
Return the type of the parameter.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoPathParam

public PojoPathParam(Class<?> type, String name) throws DeploymentException
Create a path parameter.

Parameters:
  `type` - Parameter type
  `name` - Parameter name (may be `null` for non-`@PathParam` parameters)
Throws:
  `DeploymentException` - If the type is not valid for a `@PathParam` parameter

## Method Details

### getType

public Class<?> getType()
Return the type of the parameter.

Returns:
  Parameter type

### getName

public String getName()
Return the name of the parameter.

Returns:
  Parameter name or `null` for non-`@PathParam` parameters